<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('clients', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('en_id');
            $table->enum('client_form_type',['Normal', 'Maternity'])->default('Normal');
            $table->string('deposits')->nullable();
            $table->string('securites')->nullable();
            $table->string('total_assets')->nullable();
            $table->string('other_assets')->nullable();
            $table->string('liablities')->nullable();
            $table->string('net_worth')->nullable();
             $table->string('owned_vehicle')->nullable();
             $table->string('occupation')->nullable();
             $table->string('employer')->nullable();
            $table->enum('exist_cet_subs',['yes', 'no'])->default('no');
            $table->enum('investment_exp', ['yes', 'no'])->default('no');
            // $table->enum('investment_type', ['yes', 'no'])->default('no');
            $table->string('investment_type')->nullable();
            $table->enum('risk_tolrance',['low','medium','high'])->default('low');
            $table->enum('objective',['education','other'])->default('education');
            $table->enum('invest_this_plan', ['yes', 'no'])->default('no');
            $table->double('subscriber1_gross', 8,2)->nullable();
            $table->double('subscriber1_net', 8,2)->nullable();
            $table->double('temp_gross_income', 8,2)->nullable();
            $table->double('temp_net_income', 8,2)->nullable();
            $table->double('other_gross_income', 8,2)->nullable();
            $table->double('other_net_income', 8,2)->nullable();
            $table->double('estimate_gross_income', 8,2)->nullable();
            $table->double('estimate_net_income', 8,2)->nullable();
            $table->double('fam_yearly_gross_income', 8,2)->nullable();
            $table->string('payment_on_loan')->nullable();
            $table->string('tax')->nullable();
            $table->string('groceries')->nullable();
            $table->string('child_care')->nullable();
            $table->string('clothing')->nullable();
            $table->string('insurance')->nullable();
            $table->string('utility')->nullable();
            $table->string('transportation')->nullable();
            $table->string('miscellaneous')->nullable();
            $table->string('total_expense')->nullable();
            $table->string('disposable_income')->nullable();
            $table->string('other_obligations')->nullable();
            $table->string('monthly_cont_not_exceed')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('clients');
    }
};
